Package org.silverpeas.components.yellowpages.model

# Class UserCompleteContact

java.lang.Object
org.silverpeas.components.yellowpages.model.UserCompleteContact

All Implemented Interfaces:
  `Serializable`

public class UserCompleteContact extends Object implements Serializable
This object contains elements which are displayed in a yellowpages Topic

Author:
  Nicolas Eysseric
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserCompleteContact()`
  Construct an empty TopicDetail
  `UserCompleteContact(org.silverpeas.core.admin.user.model.UserDetail owner, org.silverpeas.core.contact.model.CompleteContact contact)`
  Create a new TopicDetail

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.silverpeas.core.contact.model.CompleteContact`
  `getContact()`
  Get the Topic nodePK
  `org.silverpeas.core.admin.user.model.UserDetail`
  `getOwner()`
  Get the path
  `void`
  `setContact(org.silverpeas.core.contact.model.CompleteContact completeContact)`
  Set the complete contact
  `void`
  `setOwner(org.silverpeas.core.admin.user.model.UserDetail ud)`
  Set the owner

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserCompleteContact

    public UserCompleteContact()
    Construct an empty TopicDetail

  - ### UserCompleteContact

    public UserCompleteContact(org.silverpeas.core.admin.user.model.UserDetail owner, org.silverpeas.core.contact.model.CompleteContact contact)
    Create a new TopicDetail

- ## Method Details

  - ### getOwner

    public org.silverpeas.core.admin.user.model.UserDetail getOwner()
    Get the path
    Returns:
      the path

  - ### getContact

    public org.silverpeas.core.contact.model.CompleteContact getContact()
    Get the Topic nodePK
    Returns:
      the Topic nodePK
    See Also:
      - `NodePK`

  - ### setOwner

    public void setOwner(org.silverpeas.core.admin.user.model.UserDetail ud)
    Set the owner
    Parameters:
      `ud` - the user detail to set

  - ### setContact

    public void setContact(org.silverpeas.core.contact.model.CompleteContact completeContact)
    Set the complete contact
    Parameters:
      `completeContact` - the contact to set